Arch Découpe de panneaux

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Panel Cut and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Page précédente : Arch Panel.svg Panneaux
Page suivante : Feuille de panneau Arch Panel Sheet.svg Arrow-right.svg

Arch Panel Cut.svg Arch Découpe de panneaux

Emplacement du menu
Arch → Outils pour les panneaux → Panneau de coupe
Ateliers
Arch, Path
Raccourci par défaut
P C
Introduit dans la version
0.17
Voir aussi
Arch Panneaux, Arch Panneau feuille, Arch Calepinage

Description

Cet outil crée, dans le document 3D, une vue 2D plane d'un objet Panneaux, à inclure dans un Arch Panneau feuille ou directement exportée vers DXF. Les objets Découpe de panneaux sont également pris en charge par l'atelier Path.

Arch Wikihouse 02.jpg

Utilisation

  1. Sélectionner un ou plusieurs objets Arch Panneaux
  2. Presser la touche Arch Panel Cut.svg Panneau de coupe ou presser les touches P et C
  3. Ajuster les propriétés désirées

Options

  • Si le panneau n'est pas plat (par exemple un panneau ondulé), le relief n'apparaîtra pas dans la coupe du panneau. Cet outil est utile principalement pour les panneaux plats
  • La découpe du panneau peut afficher une étiquette. Cette balise peut être une ligne de texte personnalisée ou peut afficher automatiquement la balise, l'étiquette ou la description de son panneau est liée.
  • Pour être utile à l'usinage CNC, l'étiquette doit être écrite en utilisant une police collante, où les lettres sont de simples polylignes que la machine peut facilement suivre. Lors de sa création, l'objet Panel Cut utilisera automatiquement la police spécifiée dans Édition → Préférences → Brouillon → Textes et dimensions → Police ShapeString
  • Après sa création double-cliquer dans l'arborescence sur le panneau coupé vous fait passer en mode édition et vous permet de modifier la position du tag
  • Lorsque vous devez mettre en forme différentes découpes de panneaux, les découpes de panneaux peuvent afficher une marge, ce qui est utile pour s'assurer qu'un certain espace est toujours présent entre une découpe et une autre

Propriétés

Données

  • DonnéesSource : L'objet Arch Panneaux montré par cette coupe.
  • DonnéesTag Text : Le texte à afficher. Peut être %tag%, %label% ou %description% pour afficher la balise ou l'étiquette du panneau.
  • DonnéesTag Size : La taille du texte de la balise
  • DonnéesTag Position : La position du texte de la balise. Conservez (0,0,0) pour une position centrale automatique.
  • DonnéesTag Rotation : La rotation du texte de la balise
  • DonnéesFont File : La police du texte de la balise
  • DonnéesMake Face : Si True, le panneau est un Part Face, sinon une Part Polyligne.

Vue

  • VueMargin : La marge à afficher hors du panneau coupé.
  • VueShow Margin : Tourne l'affichage des marges oui/non.

Script

Voir aussi: Arch API et Débuter avec les scripts FreeCAD.

L'outil panneau peut être utilisé dans une macro et dans la console Python en utilisant le code suivant:

View = makePanelCut(panel, name="PanelView")
  • Crée un objet View (projection 2D) à partir du panel existant.

Exemple:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(500, 0, 0)
p3 = FreeCAD.Vector(500, 50, 0)
p4 = FreeCAD.Vector(550, 50, 0)
p5 = FreeCAD.Vector(600, 0, 0)
p6 = FreeCAD.Vector(1000, 0, 0)
p7 = FreeCAD.Vector(1000, 400, 0)
p8 = FreeCAD.Vector(600, 400, 0)
p9 = FreeCAD.Vector(600, 350, 0)
p10 = FreeCAD.Vector(550, 350, 0)
p11 = FreeCAD.Vector(500, 400, 0)
p12 = FreeCAD.Vector(0, 400, 0)

Wire = Draft.makeWire([p1, p2, p3, p4, p5, p6,
                       p7, p8, p8, p9, p10, p11, p12], closed=True)
Panel = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

View = Arch.makePanelCut(Panel)
View.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Tutoriels


Arrow-left.svg Page précédente : Arch Panel.svg Panneaux
Page suivante : Feuille de panneau Arch Panel Sheet.svg Arrow-right.svg